<html>
<head>
<title>OGRE: Member List - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li class="current"><a href="classes.html"><span>Classes</span></a></li>
    <li><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="tabs">
  <ul>
    <li><a href="classes.html"><span>Alphabetical&nbsp;List</span></a></li>
    <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
    <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
    <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
  </ul>
</div>
<h1>Ogre::GpuProgramUsage Member List</h1>This is the complete list of members for <a class="el" href="classOgre_1_1GpuProgramUsage.html">Ogre::GpuProgramUsage</a>, including all inherited members.<p><table>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GpuProgramUsage.html#998ff466eb484f98eea125257cc43db9">_load</a>(void)</td><td><a class="el" href="classOgre_1_1GpuProgramUsage.html">Ogre::GpuProgramUsage</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GpuProgramUsage.html#e8445ca73de5edc403bcb310f96a7f84">_unload</a>(void)</td><td><a class="el" href="classOgre_1_1GpuProgramUsage.html">Ogre::GpuProgramUsage</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GpuProgramUsage.html#2a798e8d547336d730633b445144b476">getParameters</a>(void)</td><td><a class="el" href="classOgre_1_1GpuProgramUsage.html">Ogre::GpuProgramUsage</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GpuProgramUsage.html#8591c555a993fb63833caf6f013b0670">getProgram</a>() const </td><td><a class="el" href="classOgre_1_1GpuProgramUsage.html">Ogre::GpuProgramUsage</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GpuProgramUsage.html#093bd8181272357ef88b8c4a1f5f028e">getProgramName</a>(void) const </td><td><a class="el" href="classOgre_1_1GpuProgramUsage.html">Ogre::GpuProgramUsage</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GpuProgramUsage.html#9c322a46459f43021cb71d3ada369428">getType</a>(void) const </td><td><a class="el" href="classOgre_1_1GpuProgramUsage.html">Ogre::GpuProgramUsage</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GpuProgramUsage.html#2c67ab03e5e08ba513b00d710cb155e2">GpuProgramUsage</a>(GpuProgramType gptype)</td><td><a class="el" href="classOgre_1_1GpuProgramUsage.html">Ogre::GpuProgramUsage</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GpuProgramUsage.html#0a41db5c25743927a397adcd0a6cf72c">GpuProgramUsage</a>(const GpuProgramUsage &amp;rhs)</td><td><a class="el" href="classOgre_1_1GpuProgramUsage.html">Ogre::GpuProgramUsage</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GpuProgramUsage.html#cc40c8abeb4e5c906307283ccd96d260">mParameters</a></td><td><a class="el" href="classOgre_1_1GpuProgramUsage.html">Ogre::GpuProgramUsage</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GpuProgramUsage.html#9da44f0dcbbf0fb37bcb0b92321b4036">mProgram</a></td><td><a class="el" href="classOgre_1_1GpuProgramUsage.html">Ogre::GpuProgramUsage</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GpuProgramUsage.html#a9470d8b504c842c012506954793cc6b">mType</a></td><td><a class="el" href="classOgre_1_1GpuProgramUsage.html">Ogre::GpuProgramUsage</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GpuProgramUsage.html#91c1c956ce21910fb19b533d00761d41">setParameters</a>(GpuProgramParametersSharedPtr params)</td><td><a class="el" href="classOgre_1_1GpuProgramUsage.html">Ogre::GpuProgramUsage</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GpuProgramUsage.html#6d21e305d7dd1524e859b1c916cc9780">setProgram</a>(GpuProgramPtr &amp;prog)</td><td><a class="el" href="classOgre_1_1GpuProgramUsage.html">Ogre::GpuProgramUsage</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GpuProgramUsage.html#512e5a33561e116ad63042ec383bc911">setProgramName</a>(const String &amp;name, bool resetParams=true)</td><td><a class="el" href="classOgre_1_1GpuProgramUsage.html">Ogre::GpuProgramUsage</a></td><td></td></tr>
</table><hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:49:53 2008
</p>
</body>
</html>
